Bug 1053266 (CVE-2013-5896) - CVE-2013-5896 OpenJDK: com.sun.corba.se. should be restricted package (CORBA, 8025022)
Summary: CVE-2013-5896 OpenJDK: com.sun.corba.se. should be restricted package (CORBA,...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-5896
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140114,repor...
Depends On:
Blocks: 1049945
TreeView+ depends on / blocked
 
Reported: 2014-01-14 22:06 UTC by Tomas Hoger
Modified: 2019-06-08 19:51 UTC (History)
7 users (show)

Fixed In Version: icedtea 2.4.4, icedtea 2.3.13, icedtea 1.12.8, icedtea 1.13.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-06 15:41:58 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0026 normal SHIPPED_LIVE Critical: java-1.7.0-openjdk security update 2014-01-15 05:59:20 UTC
Red Hat Product Errata RHSA-2014:0027 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security update 2014-01-15 05:59:08 UTC
Red Hat Product Errata RHSA-2014:0030 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2014-01-16 00:17:27 UTC
Red Hat Product Errata RHSA-2014:0097 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security update 2014-01-28 00:54:36 UTC
Red Hat Product Errata RHSA-2014:0134 normal SHIPPED_LIVE Critical: java-1.7.0-ibm security update 2014-02-05 00:35:22 UTC
Red Hat Product Errata RHSA-2014:0135 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2014-02-05 00:34:32 UTC
Red Hat Product Errata RHSA-2014:0414 normal SHIPPED_LIVE Important: java-1.6.0-sun security update 2017-12-15 19:38:49 UTC
Red Hat Product Errata RHSA-2014:0705 normal SHIPPED_LIVE Critical: java-1.7.1-ibm security update 2014-06-10 17:07:11 UTC
Red Hat Product Errata RHSA-2014:0982 normal SHIPPED_LIVE Low: Red Hat Network Satellite server IBM Java Runtime security update 2014-07-29 19:40:11 UTC

Description Tomas Hoger 2014-01-14 22:06:00 UTC
The default Java security properties configuration did not restrict access to sub-packages of the com.sun.corba.se package. An untrusted Java application or applet could use this flaw to trigger denial of service. This update lists whole com.sun.corba.se package as restricted in the java.security file.

Comment 1 Tomas Hoger 2014-01-14 22:07:53 UTC
Public now via Oracle CPU January 2014.  Fixed in Oracle JDK 7u51, 6u71 and 5.0u61.

External References:

http://www.oracle.com/technetwork/topics/security/cpujan2014-1972949.html

Comment 2 Tomas Hoger 2014-01-14 22:09:44 UTC
Related note in the release notes:

http://www.oracle.com/technetwork/java/javase/7u51-relnotes-2085002.html

  Area:otherlibs/corba
  Synopsis:com.sun.corba.se.** should be on restricted package list.

  The JDK internal package com.sun.corba.se and its sub-packages have been
  added to the restricted package list and therefore cannot be used directly
  when running with a security manager.

  Workaround:
  Applications running with a security manager that make direct use of classes
  in these JDK internal packages, need to adjust their security policy to
  grant access. See Java Security Policy Files documentation.

  See 8021257.

Comment 3 errata-xmlrpc 2014-01-15 01:03:32 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:0027 https://rhn.redhat.com/errata/RHSA-2014-0027.html

Comment 4 errata-xmlrpc 2014-01-15 01:03:49 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0026 https://rhn.redhat.com/errata/RHSA-2014-0026.html

Comment 6 errata-xmlrpc 2014-01-15 19:20:18 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2014:0030 https://rhn.redhat.com/errata/RHSA-2014-0030.html

Comment 7 errata-xmlrpc 2014-01-27 19:57:09 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2014:0097 https://rhn.redhat.com/errata/RHSA-2014-0097.html

Comment 9 errata-xmlrpc 2014-02-04 19:38:54 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2014:0135 https://rhn.redhat.com/errata/RHSA-2014-0135.html

Comment 10 errata-xmlrpc 2014-02-04 19:42:52 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2014:0134 https://rhn.redhat.com/errata/RHSA-2014-0134.html

Comment 11 errata-xmlrpc 2014-04-17 11:44:22 UTC
This issue has been addressed in following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 5

Via RHSA-2014:0414 https://rhn.redhat.com/errata/RHSA-2014-0414.html

Comment 12 errata-xmlrpc 2014-06-10 13:13:27 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 7

Via RHSA-2014:0705 https://rhn.redhat.com/errata/RHSA-2014-0705.html

Comment 13 errata-xmlrpc 2014-07-29 15:41:47 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4
  Red Hat Network Satellite Server v 5.5
  Red Hat Satellite Server v 5.6

Via RHSA-2014:0982 https://rhn.redhat.com/errata/RHSA-2014-0982.html

Comment 14 Kurt Seifried 2015-07-16 01:23:28 UTC
Mitigation:

Applications running with a security manager that make direct use of classes
in these JDK internal packages, need to adjust their security policy to
grant access. See Java Security Policy Files documentation.


Note You need to log in before you can comment on or make changes to this bug.